{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"publicCloud.database.kafkaMirrorMaker.Replication":{"type":"object","description":"A replication flow on a managed Kafka MirrorMaker service","properties":{"checksum":{"type":"string","description":"Hash of the resource used for concurrency control","readOnly":true},"createdAt":{"type":"string","description":"Date at which the resource was created","format":"date-time","readOnly":true},"emitHeartbeats":{"type":"boolean","description":"Whether heartbeats are emitted on the replication flow","readOnly":true},"enabled":{"type":"boolean","description":"Whether this replication flow is enabled","readOnly":true},"id":{"type":"string","description":"Unique identifier of the replication flow","format":"uuid","readOnly":true},"replicationPolicyClass":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.kafkaMirrorMaker.ReplicationPolicyClassEnum"}],"description":"Replication policy class used for this replication flow","readOnly":true},"sourceIntegrationId":{"type":"string","description":"Identifier of the source integration","format":"uuid","readOnly":true},"syncGroupOffsetsEnabled":{"type":"boolean","description":"Whether consumer group offsets are synced","readOnly":true},"syncInterval":{"type":"integer","description":"Sync interval in seconds","nullable":true,"readOnly":true},"targetIntegrationId":{"type":"string","description":"Identifier of the target integration","format":"uuid","readOnly":true},"topicExcludeList":{"type":"array","description":"List of topic patterns to exclude from replication","nullable":true,"items":{"type":"string"},"readOnly":true},"topicIncludeList":{"type":"array","description":"List of topic patterns to include in replication","nullable":true,"items":{"type":"string"},"readOnly":true},"updatedAt":{"type":"string","description":"Date of the last update to the resource","format":"date-time","readOnly":true}}},"publicCloud.database.kafkaMirrorMaker.ReplicationCreation":{"type":"object","description":"Input parameters for creating a replication flow","properties":{"emitHeartbeats":{"type":"boolean","description":"Whether heartbeats are emitted on the replication flow","nullable":true},"enabled":{"type":"boolean","description":"Whether this replication flow is enabled"},"replicationPolicyClass":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.kafkaMirrorMaker.ReplicationPolicyClassEnum"}],"description":"Replication policy class used for this replication flow","nullable":true},"sourceIntegrationId":{"type":"string","description":"Identifier of the source integration","format":"uuid"},"syncGroupOffsetsEnabled":{"type":"boolean","description":"Whether to sync consumer group offsets","nullable":true},"syncInterval":{"type":"integer","description":"Sync interval in seconds","nullable":true},"targetIntegrationId":{"type":"string","description":"Identifier of the target integration","format":"uuid"},"topicExcludeList":{"type":"array","description":"Topic patterns to exclude from replication","nullable":true,"items":{"type":"string"}},"topicIncludeList":{"type":"array","description":"Topic patterns to include in replication","nullable":true,"items":{"type":"string"}}},"required":["enabled","sourceIntegrationId","targetIntegrationId"]},"publicCloud.database.kafkaMirrorMaker.ReplicationPolicyClassEnum":{"type":"string","description":"Replication policy class used by a Kafka MirrorMaker replication flow. Values are fully-qualified Java class names defined by the Kafka MirrorMaker protocol and cannot follow UPPER_SNAKE_CASE.","enum":["org.apache.kafka.connect.mirror.DefaultReplicationPolicy","org.apache.kafka.connect.mirror.IdentityReplicationPolicy"]},"publicCloud.database.kafkaMirrorMaker.ReplicationReplace":{"type":"object","description":"Input parameters for replacing a replication flow. Every field is required: the request describes the whole replication flow.","properties":{"emitHeartbeats":{"type":"boolean","description":"Whether heartbeats are emitted on the replication flow"},"enabled":{"type":"boolean","description":"Whether this replication flow is enabled"},"replicationPolicyClass":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.kafkaMirrorMaker.ReplicationPolicyClassEnum"}],"description":"Replication policy class used for this replication flow"},"syncGroupOffsetsEnabled":{"type":"boolean","description":"Whether to sync consumer group offsets"},"syncInterval":{"type":"integer","description":"Sync interval in seconds"},"topicExcludeList":{"type":"array","description":"Topic patterns to exclude","items":{"type":"string"}},"topicIncludeList":{"type":"array","description":"Topic patterns to include","items":{"type":"string"}}},"required":["emitHeartbeats","enabled","replicationPolicyClass","syncGroupOffsetsEnabled","syncInterval","topicExcludeList","topicIncludeList"]},"publicCloud.database.kafkaMirrorMaker.ReplicationUpdate":{"type":"object","description":"Input parameters for updating a replication flow","properties":{"emitHeartbeats":{"type":"boolean","description":"Whether heartbeats are emitted on the replication flow","nullable":true},"enabled":{"type":"boolean","description":"Whether this replication flow is enabled"},"replicationPolicyClass":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.kafkaMirrorMaker.ReplicationPolicyClassEnum"}],"description":"Replication policy class used for this replication flow","nullable":true},"syncGroupOffsetsEnabled":{"type":"boolean","description":"Whether to sync consumer group offsets","nullable":true},"syncInterval":{"type":"integer","description":"Sync interval in seconds","nullable":true},"topicExcludeList":{"type":"array","description":"Topic patterns to exclude","nullable":true,"items":{"type":"string"}},"topicIncludeList":{"type":"array","description":"Topic patterns to include","nullable":true,"items":{"type":"string"}}}},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication":{"get":{"operationId":"getAllKafkaMirrorMakerReplications","summary":"List replication flows","description":"Returns the replication flows of the service, with their source and target integrations and whether they are enabled.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/publicCloud.database.kafkaMirrorMaker.Replication"}}}}}},"tags":["Managed Analytics","Kafka Mirror Maker"],"x-developer-hub-navigation":[["Public Cloud","Analytics","Kafka","Replications@@@10"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:analytics/kafkaMirrorMaker/replication/get","required":true}],"x-response-identifier":"id","x-expanded-response":"PublicCloudDatabaseKafkaMirrorMakerReplication"},"post":{"operationId":"createKafkaMirrorMakerReplication","summary":"Create a replication flow","description":"Creates a replication flow from a source integration to a target integration. Topics matching the include patterns are replicated, except those matching the exclude patterns.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafkaMirrorMaker.ReplicationCreation"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafkaMirrorMaker.Replication"}}}}},"tags":["Managed Analytics","Kafka Mirror Maker"],"x-developer-hub-navigation":[["Public Cloud","Analytics","Kafka","Replications@@@30"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: publicCloud.database.kafkaMirrorMaker.ReplicationCreation\nresult = client.post(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication\",\n\temitHeartbeats = None, # Whether heartbeats are emitted on the replication flow (type: boolean, nullable)\n\tenabled = None, # Whether this replication flow is enabled (type: boolean)\n\treplicationPolicyClass = None, # Replication policy class used for this replication flow (type: publicCloud.database.kafkaMirrorMaker.ReplicationPolicyClassEnum, nullable)\n\tsourceIntegrationId = None, # Identifier of the source integration (type: string)\n\tsyncGroupOffsetsEnabled = None, # Whether to sync consumer group offsets (type: boolean, nullable)\n\tsyncInterval = None, # Sync interval in seconds (type: integer, nullable)\n\ttargetIntegrationId = None, # Identifier of the target integration (type: string)\n\ttopicExcludeList = None, # Topic patterns to exclude from replication (type: array, nullable)\n\ttopicIncludeList = None, # Topic patterns to include in replication (type: array, nullable)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: publicCloud.database.kafkaMirrorMaker.ReplicationCreation\n$result = $ovh->post(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication\", array(\n\temitHeartbeats => null, // Whether heartbeats are emitted on the replication flow (type: boolean, nullable)\n\tenabled => null, // Whether this replication flow is enabled (type: boolean)\n\treplicationPolicyClass => null, // Replication policy class used for this replication flow (type: publicCloud.database.kafkaMirrorMaker.ReplicationPolicyClassEnum, nullable)\n\tsourceIntegrationId => null, // Identifier of the source integration (type: string)\n\tsyncGroupOffsetsEnabled => null, // Whether to sync consumer group offsets (type: boolean, nullable)\n\tsyncInterval => null, // Sync interval in seconds (type: integer, nullable)\n\ttargetIntegrationId => null, // Identifier of the target integration (type: string)\n\ttopicExcludeList => null, // Topic patterns to exclude from replication (type: array, nullable)\n\ttopicIncludeList => null, // Topic patterns to include in replication (type: array, nullable)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:analytics/kafkaMirrorMaker/replication/create","required":true}]}},"/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId}":{"delete":{"operationId":"deleteKafkaMirrorMakerReplication","summary":"Delete a replication flow","description":"Deletes the replication flow and stops the replication.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"replicationId","description":"Replication ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafkaMirrorMaker.Replication"}}}}},"tags":["Managed Analytics","Kafka Mirror Maker"],"x-developer-hub-navigation":[["Public Cloud","Analytics","Kafka","Replications@@@40"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.delete(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->delete(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:analytics/kafkaMirrorMaker/replication/delete","required":true}]},"get":{"operationId":"getKafkaMirrorMakerReplication","summary":"Get a replication flow","description":"Returns the source and target integrations of the flow, its topic patterns and its sync settings.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"replicationId","description":"Replication ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafkaMirrorMaker.Replication"}}}}},"tags":["Managed Analytics","Kafka Mirror Maker"],"x-developer-hub-navigation":[["Public Cloud","Analytics","Kafka","Replications@@@20"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:analytics/kafkaMirrorMaker/replication/get","required":true}],"x-response-identifier":"id"},"patch":{"operationId":"updateKafkaMirrorMakerReplication","summary":"Partially update a replication flow","description":"Partially updates the topic patterns, sync settings or state of the flow. The source and target integrations cannot be changed.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"replicationId","description":"Replication ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafkaMirrorMaker.ReplicationUpdate"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafkaMirrorMaker.Replication"}}}}},"tags":["Managed Analytics","Kafka Mirror Maker"],"x-developer-hub-navigation":[["Public Cloud","Analytics","Kafka","Replications@@@60"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: publicCloud.database.kafkaMirrorMaker.ReplicationUpdate\nresult = client.patch(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId}\",\n\temitHeartbeats = None, # Whether heartbeats are emitted on the replication flow (type: boolean, nullable)\n\tenabled = None, # Whether this replication flow is enabled (type: boolean)\n\treplicationPolicyClass = None, # Replication policy class used for this replication flow (type: publicCloud.database.kafkaMirrorMaker.ReplicationPolicyClassEnum, nullable)\n\tsyncGroupOffsetsEnabled = None, # Whether to sync consumer group offsets (type: boolean, nullable)\n\tsyncInterval = None, # Sync interval in seconds (type: integer, nullable)\n\ttopicExcludeList = None, # Topic patterns to exclude (type: array, nullable)\n\ttopicIncludeList = None, # Topic patterns to include (type: array, nullable)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: publicCloud.database.kafkaMirrorMaker.ReplicationUpdate\n$result = $ovh->patch(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId}\", array(\n\temitHeartbeats => null, // Whether heartbeats are emitted on the replication flow (type: boolean, nullable)\n\tenabled => null, // Whether this replication flow is enabled (type: boolean)\n\treplicationPolicyClass => null, // Replication policy class used for this replication flow (type: publicCloud.database.kafkaMirrorMaker.ReplicationPolicyClassEnum, nullable)\n\tsyncGroupOffsetsEnabled => null, // Whether to sync consumer group offsets (type: boolean, nullable)\n\tsyncInterval => null, // Sync interval in seconds (type: integer, nullable)\n\ttopicExcludeList => null, // Topic patterns to exclude (type: array, nullable)\n\ttopicIncludeList => null, // Topic patterns to include (type: array, nullable)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:analytics/kafkaMirrorMaker/replication/edit","required":true}]},"put":{"operationId":"editKafkaMirrorMakerReplication","summary":"Update a replication flow","description":"Updates the topic patterns, sync settings and state of the flow. Every field is required. The source and target integrations cannot be changed.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"replicationId","description":"Replication ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafkaMirrorMaker.ReplicationReplace"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafkaMirrorMaker.Replication"}}}}},"tags":["Managed Analytics","Kafka Mirror Maker"],"x-developer-hub-navigation":[["Public Cloud","Analytics","Kafka","Replications@@@50"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: publicCloud.database.kafkaMirrorMaker.ReplicationReplace\nresult = client.put(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId}\",\n\temitHeartbeats = None, # Whether heartbeats are emitted on the replication flow (type: boolean)\n\tenabled = None, # Whether this replication flow is enabled (type: boolean)\n\treplicationPolicyClass = None, # Replication policy class used for this replication flow (type: publicCloud.database.kafkaMirrorMaker.ReplicationPolicyClassEnum)\n\tsyncGroupOffsetsEnabled = None, # Whether to sync consumer group offsets (type: boolean)\n\tsyncInterval = None, # Sync interval in seconds (type: integer)\n\ttopicExcludeList = None, # Topic patterns to exclude (type: array)\n\ttopicIncludeList = None, # Topic patterns to include (type: array)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: publicCloud.database.kafkaMirrorMaker.ReplicationReplace\n$result = $ovh->put(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId}\", array(\n\temitHeartbeats => null, // Whether heartbeats are emitted on the replication flow (type: boolean)\n\tenabled => null, // Whether this replication flow is enabled (type: boolean)\n\treplicationPolicyClass => null, // Replication policy class used for this replication flow (type: publicCloud.database.kafkaMirrorMaker.ReplicationPolicyClassEnum)\n\tsyncGroupOffsetsEnabled => null, // Whether to sync consumer group offsets (type: boolean)\n\tsyncInterval => null, // Sync interval in seconds (type: integer)\n\ttopicExcludeList => null, // Topic patterns to exclude (type: array)\n\ttopicIncludeList => null, // Topic patterns to include (type: array)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:analytics/kafkaMirrorMaker/replication/edit","required":true}]}}},"tags":[{"name":"Managed Analytics","x-tag-expanded":false,"description":"Missing description"},{"name":"Kafka Mirror Maker","x-tag-expanded":false,"description":"Missing description"}]}
